import { tap } from '@pushrocks/tapbundle';
import * as smartexpect from '../ts/index';

tap.test('sync tests', async () => {
  smartexpect.expect('hello').toBeTypeofString();
  smartexpect.expect(1).not.toBeTypeofString();
  smartexpect.expect(true).toBeTypeofBoolean();
  smartexpect.expect(true).not.toBeTypeofNumber();
});

tap.test('async tests', async (toolsArg) => {
  const deferred = toolsArg.defer();
  toolsArg.delayFor(4000).then(() => {
    deferred.resolve('hello');
  });
  await smartexpect.expectAsync(deferred.promise).timeout(5000).toBeTypeofString();
  await smartexpect.expectAsync(deferred.promise).not.toBeTypeofBoolean();
});

tap.test('should check equality', async () => {
  smartexpect.expect('hithere').toEqual('hithere');
  smartexpect.expect('hithere').not.toEqual('hithere2');
})

tap.start();
